                          Computer Science 101
                               Quiz 3      Name ______________________

1. What is the binary two's complement of the value

    10101000





2. The sum of a number x and its two's complement is

   a. 0                        b. 1

   c. 2x                       d. -1



3. Find the 8 bit unsigned sum of the following two 8 bit
   unsigned numbers

      101000101
      011010101
      ---------




4. Consider the following 8 bit SIGNED sums:  Circle ALL those
   in which OVERFLOW will cause WRONG answer to be computed. (You
   don't have to compute the sum)

   a.  01101111       b. 11111111     c. 1111111
       01000000          11111110        0000001
       --------          --------        -------




5. a. The binary encoding 0110 0100 is the ascii encoding of what letter.
      (Be sure that your letter clearly shows the correct (upper/lower)
       case)





   b. What is the binary encoding of the case coverted encoding of the
      same letter




